rte_cryptodev_config(3)

NAME
rte_cryptodev_config

SYNOPSIS

#include <rte_cryptodev.h>

  Data Fields

int socket_id
uint16_t nb_queue_pairs
uint64_t ff_disable

Detailed Description

Crypto device configuration structure

Definition at line 804 of file rte_cryptodev.h.

Field Documentation

  int socket_id
Socket to allocate resources on

Definition at line 805 of file rte_cryptodev.h.

  uint16_t nb_queue_pairs
Number of queue pairs to configure on device

Definition at line 806 of file rte_cryptodev.h.

  uint64_t ff_disable
Feature flags to be disabled. Only the following features are allowed to be disabled,

•   RTE_CRYPTODEV_FF_SYMMETRIC_CRYPTO

•   RTE_CRYPTODEV_FF_ASYMMETRIC_CRYPTO

•   RTE_CRYTPODEV_FF_SECURITY

Definition at line 808 of file rte_cryptodev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.